%define	major	1
%define	libname	%mklibname mate-window-settings %{major}
%define devname %mklibname -d mate-window-settings

Summary:	MATE control center
Name:		mate-control-center
Version:	1.18.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	%{name}-%{version}.tar.xz
Source1:	mate-ffmpegthumbnailer.thumbnailer
#-------------------------------------------
BuildRequires: docbook-dtd412-xml
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: shared-mime-info
BuildRequires: libxml2-utils
BuildRequires: xsltproc
BuildRequires: mate-desktop-devel
BuildRequires: mate-menus-devel
BuildRequires: mate-settings-daemon-devel
BuildRequires: mate-window-manager-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}dconf-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}matekbd-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}unique-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xft-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xklavier-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xscrnsaver-devel
#----------------------------------------
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires: ffmpegthumbnailer

%description
MATE Control-center is a configuration tool for easily
setting up your MATE environment.


%package devel
Summary:	Development libraries, include files for MATE control center
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development libraries, include files for MATE Control Center

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-scrollkeeper \
	--disable-update-mimedb \
    --with-gtk=3.0

%make LIBS='-lm -lgmodule-2.0'

%install
rm -rf %{buildroot}
%makeinstall_std

install -m 0644 %SOURCE1  %{buildroot}/%{_datadir}/thumbnailers

for desktopfile in %{buildroot}%{_datadir}/applications/*.desktop
do
  desktop-file-edit --remove-category=MATE --add-category=X-MATE $desktopfile
done

find %{buildroot} -name '*.la' -exec rm -f {} \;
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_sysconfdir}/xdg/menus/matecc.menu
%{_bindir}/mate-*
%{_sbindir}/mate-*
%{_libdir}/window-manager-settings/libmarco.so
%{_datadir}/applications/*
%{_datadir}/desktop-directories/matecc.directory
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/mate-control-center
#%{_datadir}/mate/cursor-fonts/*
%{_datadir}/mime/packages/mate-theme-package.xml
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_datadir}/help
%{_datadir}/glib-2.0/schemas/org.mate.control-center.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.control-center.keybinding.gschema.xml
%{_datadir}/thumbnailers
%{_libdir}/libmate-window-settings.so.%{major}*
%{_libdir}/libmate-slab.so.0*
%{_datadir}/man

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmate-window-settings.so
%{_libdir}/libmate-slab.so
%{_libdir}/pkgconfig/*
%{_includedir}

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%clean
rm -rf  %{buildroot}


%changelog
* Sun May 14 2017 adrianomorselli <adrianomorselli> 1.18.1-1uplos2017
- update
